HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::AtomType Class Reference

`#include <H5AtomType.h>`

Inheritance diagram for H5::AtomType:

List of all members.

## Public Member Functions
H5T_order_t | getOrder () const
| Returns the byte order of an atomic datatype.
H5T_order_t | getOrder (H5std_string &order_string) const
| This is an overloaded member function, provided for convenience. It takes a reference to a `H5std_string` for the buffer that provide the text description of the returned byte order. The text description can be either of the following: "Little endian byte ordering (0)"; "Big endian byte ordering (1)"; "VAX mixed byte ordering (2)";.
void | setOrder (H5T_order_t order) const
| Sets the byte ordering of an atomic datatype.
int | getOffset () const
| Retrieves the bit offset of the first significant bit.
void | setOffset (size_t offset) const
| Sets the bit offset of the first significant bit.
void | getPad (H5T_pad_t &lsb, H5T_pad_t &msb) const
| Retrieves the padding type of the least and most-significant bit padding.
void | setPad (H5T_pad_t lsb, H5T_pad_t msb) const
| Sets the least and most-significant bits padding types.
size_t | getPrecision () const
| Returns the precision of an atomic datatype.
void | setPrecision (size_t precision) const
| Sets the precision of an atomic datatype.
void | setSize (size_t size) const
| Sets the total size for an atomic datatype.
virtual H5std_string | fromClass () const
| AtomType (const AtomType &original)
| Copy constructor: makes a copy of the original AtomType object.
virtual | ~AtomType ()
| Noop destructor.

## Constructor & Destructor Documentation

H5::AtomType::AtomType | ( | const AtomType & | original | ) |

Copy constructor: makes a copy of the original AtomType object.

H5::AtomType::~AtomType | ( |  | ) | `[virtual]`

Noop destructor.

## Member Function Documentation

H5T_order_t H5::AtomType::getOrder | ( |  | ) | const

Returns the byte order of an atomic datatype.

Returns:
  Byte order, which can be:
  - `H5T_ORDER_LE`
  - `H5T_ORDER_BE`
  - `H5T_ORDER_VAX`

Exceptions:

  | H5::DataTypeIException |

Examples:
  readdata.cpp.

H5T_order_t H5::AtomType::getOrder | ( | H5std_string & | order_string | ) | const

This is an overloaded member function, provided for convenience. It takes a reference to a `H5std_string` for the buffer that provide the text description of the returned byte order. The text description can be either of the following: "Little endian byte ordering (0)"; "Big endian byte ordering (1)"; "VAX mixed byte ordering (2)";.

Parameters:

  | order_string | - OUT: Text description of the returned byte order

Returns:
  Byte order, which can be:
  - `H5T_ORDER_LE`
  - `H5T_ORDER_BE`
  - `H5T_ORDER_VAX`

Exceptions:

  | H5::DataTypeIException |

void H5::AtomType::setOrder | ( | H5T_order_t | order | ) | const

Sets the byte ordering of an atomic datatype.

Parameters:

  | order | - IN: Byte ordering constant, which can be: `H5T_ORDER_LE` `H5T_ORDER_BE` `H5T_ORDER_VAX`

Exceptions:

  | H5::DataTypeIException |

int H5::AtomType::getOffset | ( |  | ) | const

Retrieves the bit offset of the first significant bit.

Returns:
  Offset value

Exceptions:

  | H5::DataTypeIException |

Description
  For information, please see C layer Reference Manuat at: ../RM_H5T.html::Datatype-GetOffset

void H5::AtomType::setOffset | ( | size_t | offset | ) | const

Sets the bit offset of the first significant bit.

Parameters:

  | offset | - IN: Offset of first significant bit

Exceptions:

  | H5::DataTypeIException |

Description
  For information, please see C layer Reference Manuat at: ../RM_H5T.html::Datatype-SetOffset

void H5::AtomType::getPad | ( | H5T_pad_t & | lsb,
|  | H5T_pad_t & | msb |
| ) |  |  | const

Retrieves the padding type of the least and most-significant bit padding.

Parameters:

  | lsb | - OUT: Least-significant bit padding type
  | msb | - OUT: Most-significant bit padding type

Exceptions:

  | H5::DataTypeIException |

Description
  Possible values for lsb and msb include:
  - `H5T_PAD_ZERO` (0) - Set background to zeros.
  - `H5T_PAD_ONE` (1) - Set background to ones.
  - `H5T_PAD_BACKGROUND` (2) - Leave background alone.

void H5::AtomType::setPad | ( | H5T_pad_t | lsb,
|  | H5T_pad_t | msb |
| ) |  |  | const

Sets the least and most-significant bits padding types.

Parameters:

  | lsb | - IN: Least-significant bit padding type
  | msb | - IN: Most-significant bit padding type

Exceptions:

  | H5::DataTypeIException |

Description
  Valid values for lsb and msb include:
  - `H5T_PAD_ZERO` (0) - Set background to zeros.
  - `H5T_PAD_ONE` (1) - Set background to ones.
  - `H5T_PAD_BACKGROUND` (2) - Leave background alone.

size_t H5::AtomType::getPrecision | ( |  | ) | const

Returns the precision of an atomic datatype.

Returns:
  Number of significant bits

Exceptions:

  | H5::DataTypeIException |

Description
  The precision is the number of significant bits which, unless padding is present, is 8 times larger than the value returned by `DataType::getSize()`.

void H5::AtomType::setPrecision | ( | size_t | precision | ) | const

Sets the precision of an atomic datatype.

Parameters:

  | precision | - IN: Number of bits of precision

Exceptions:

  | H5::DataTypeIException |

Description
  For information, please see C layer Reference Manuat at: ../RM_H5T.html::Datatype-SetPrecision

void H5::AtomType::setSize | ( | size_t | size | ) | const

Sets the total size for an atomic datatype.

Parameters:

  | size | - IN: Size to set

Exceptions:

  | H5::DataTypeIException |

virtual H5std_string H5::AtomType::fromClass | ( |  | ) | const`[inline, virtual]`

Reimplemented from H5::DataType.

Reimplemented in H5::FloatType, H5::IntType, H5::PredType, and H5::StrType.